<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


only_reg('/index.php');

$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if (mysql_num_rows($q)==0){header("Location: index.php?".SID);exit;}
$ank = mysql_fetch_array($q);
$set['title'] = 'кумиры '.$ank['nick'].'';
include_once '../sys/inc/thead.php';
title();
aut();
$us2=mysql_result(mysql_query("SELECT COUNT(*) FROM `kumir` WHERE `kum` = '$ank[id]'"),0);
echo "<div class=str><a href=/fanes/me.php?id=$ank[id]>Поклонники $us2</a></div>";
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kumir` WHERE  `user` =  '$ank[id]'"), 0);
if ($k_post==0){echo 'У обитателя '.$ank['nick'].' нет кумиров';}
$k_page=k_page($k_post,$set['p_str']);$page=page($k_page);$start=$set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `kumir` WHERE   `user` =  '$ank[id]' ORDER BY time DESC LIMIT $start, $set[p_str]");while ($f = mysql_fetch_array($q)){	
if($num==1){ echo "<div class='main_menu'>"; $num=0;}else{ echo "<div class='rowup'>"; $num=1;}
$kum = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[kum]' LIMIT 1"));

echo "".online($kum['id'])." <a href='/info.php?id=$kum[id]'>$kum[nick]</a>\n"; 
if (isset($user) && $user['id']==$ank['id'])echo" <a href='del_user.php?delete=".$kum['id']."'><b><font color=red>X</font></b></a><br/>";
echo "</div>";}
if (isset($user) && $user['id']==$ank['id'])echo "<div class=foot> <a href='set.php'>Настройки</a></div>\n";
if ($k_page>1)str("?id=$ank[id]&",$k_page,$page);

include_once '../sys/inc/tfoot.php'; 
?>
